.. py:currentmodule:: tulipgui

:mod:`tulipgui` module API
==========================

.. automodule:: tulipgui

Utility functions
-----------------

.. autofunction:: tulipgui::tlpgui.getAvailableViews

.. autofunction:: tulipgui::tlpgui.createView

.. autofunction:: tulipgui::tlpgui.createNodeLinkDiagramView

.. autofunction:: tulipgui::tlpgui.getOpenedViews

.. autofunction:: tulipgui::tlpgui.getViewsOfGraph

.. autofunction:: tulipgui::tlpgui.closeView

.. autofunction:: tulipgui::tlpgui.closeAllViews

.. autofunction:: tulipgui::tlpgui.closeViewsRelatedToGraph

.. autofunction:: tulipgui::tlpgui.createInteractor

.. autofunction:: tulipgui::tlpgui.getInteractorsCompatibleWithView

tlpgui.ColorScalesManager
-------------------------

.. autoclass:: tulipgui::tlpgui.ColorScalesManager
        :members:

tlpgui.Interactor
------------------

.. autoclass:: tulipgui::tlpgui.Interactor
        :members:

tlpgui.View
------------

.. autoclass:: tulipgui::tlpgui.View
        :members:

tlpgui.GlMainView
------------------

.. autoclass:: tulipgui::tlpgui.GlMainView
        :members:

tlpgui.NodeLinkDiagramComponent
--------------------------------

.. autoclass:: tulipgui::tlpgui.NodeLinkDiagramComponent
        :members:

tlpgui.GlGraphRenderingParameters
----------------------------------

.. autoclass:: tulipgui::tlpgui.GlGraphRenderingParameters
        :members:

tlpgui.GlGraphInputData
------------------------

.. autoclass:: tulipgui::tlpgui.GlGraphInputData
        :members:
